<template>
  <v-container class="fill-height" fluid>
    <v-row align="center" justify="center">
      <div
        id="firebaseui-auth-container"
        data-cy="firebase-auth-container"
      ></div>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {}
  },
  mounted() {
    const uiConfig = {
      signInSuccessUrl: '/certificate-data',
      signInOptions: [
        firebase.auth.GoogleAuthProvider.PROVIDER_ID,
        firebase.auth.EmailAuthProvider.PROVIDER_ID
      ]
    }
    this.$firebaseui.start('#firebaseui-auth-container', uiConfig)
  }
}
</script>
